--- old/usr/src/man/man3c/thrd_join.3c	Tue Aug 27 13:52:38 2019
+++ new/usr/src/man/man3c/thrd_join.3c	Tue Aug 27 13:52:38 2019
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd "Jan 13, 2015"
+.Dd "Aug 27, 2019"
 .Dt THRD_JOIN 3C
 .Os
 .Sh NAME
@@ -27,7 +27,7 @@
 .Sh DESCRIPTION
 The
 .Fn thrd_join
-function suspends the exection of the current thread and waits for the
+function suspends the execution of the current thread and waits for the
 thread indicated by
 .Fa thrd
 to terminate and stores the exit status, as set by a call to
@@ -59,7 +59,7 @@
 .Xr pthread_join 3C
 and
 .Xr thr_join 3C .
-.Sh RETURN_VALUES
+.Sh RETURN VALUES
 Upon successful completion, the
 .Fn thrd_join
 function returns
--- old/usr/src/man/man3ext/SUNW_C_GetMechSession.3ext	Tue Aug 27 13:52:38 2019
+++ new/usr/src/man/man3ext/SUNW_C_GetMechSession.3ext	Tue Aug 27 13:52:38 2019
@@ -3,12 +3,11 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SUNW_C_GETMECHSESSION 3EXT "April 9, 2016"
+.TH SUNW_C_GETMECHSESSION 3EXT "Aug 27, 2019"
 .SH NAME
 SUNW_C_GetMechSession, SUNW_C_KeyToObject \- PKCS#11 Cryptographic Framework
 functions
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag \&.\|.\|.\fR ] \fIfile\fR\&.\|.\|. \fB-lpkcs11\fR [ \fIlibrary\&.\|.\|.\fR ]
 #include <security/cryptoki.h>
@@ -26,7 +25,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 These functions implement the RSA PKCS#11 v2.20 specification by using plug-ins
 to provide the slots.
 .sp
@@ -35,12 +33,12 @@
 cryptographic framework and performs all necessary calls to Standard PKCS#11
 functions (see \fBlibpkcs11\fR(3LIB)) to create a session capable of providing
 operations on the requested mechanism. It is not necessary to call
-\fBC_Initalize()\fR or \fBC_GetSlotList()\fR before the first call to
+\fBC_Initialize()\fR or \fBC_GetSlotList()\fR before the first call to
 \fBSUNW_C_GetMechSession()\fR.
 .sp
 .LP
 If the \fBSUNW_C_GetMechSession()\fR function is called multiple times, it will
-return a new session each time without re-initalizing the framework. If it is
+return a new session each time without re-initializing the framework. If it is
 unable to return a new session, \fBCKR_SESSION_COUNT\fR is returned.
 .sp
 .LP
@@ -52,7 +50,6 @@
 mechanism from the \fIrawkey\fR data. The object should be destroyed with
 \fBC_DestroyObject()\fR when it is no longer required.
 .SH RETURN VALUES
-.LP
 The \fBSUNW_C_GetMechSession()\fR function returns the following values:
 .sp
 .ne 2
@@ -163,13 +160,11 @@
 The return values of each of the implemented functions are defined and listed
 in the RSA PKCS#11 v2.20 specification. See http://www.rsasecurity.com.
 .SH USAGE
-.LP
 These functions are not part of the RSA PKCS#11 v2.20 specification. They are
 not likely to exist on non-Solaris systems. They are provided as a convenience
 to application programmers. Use of these functions will make the application
 non-portable to other systems.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -186,7 +181,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBlibpkcs11\fR(3LIB), \fBattributes\fR(5)
 .sp
 .LP
--- old/usr/src/man/man3lib/libpkcs11.3lib	Tue Aug 27 13:52:39 2019
+++ new/usr/src/man/man3lib/libpkcs11.3lib	Tue Aug 27 13:52:39 2019
@@ -1,10 +1,11 @@
 .\" Copyright (c) 2008, Sun Microsystems, Inc.  All rights reserved.
 .\" Copyright 2016 Jason King.
+.\" Copyright 2019 Peter Tribble.
 .\"
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.Dd Oct 19, 2016
+.Dd Aug 27, 2019
 .Dt LIBPKCS11 3LIB
 .Os
 .Sh NAME
@@ -59,7 +60,8 @@
 A user can specify either slot-description in
 .Ev ${METASLOT_OBJECTSTORE_SLOT}
 or token-label in
-.Ev ${METASLOT_OBJECTSTORE_TOKEN} , or both.
+.Ev ${METASLOT_OBJECTSTORE_TOKEN} ,
+or both.
 Valid values for slot-description and token-label are available from output of
 the command:
 .Bd -literal -offset indent
@@ -95,7 +97,7 @@
 .Lp
 This library provides entry points for all PKCS#11 v2.40 functions.
 See the PKCS#11 v2.40 specifications at
-.Lk http://www.oasis-open.org.
+.Lk http://www.oasis-open.org .
 .Lp
 Plug-ins are added to
 .Nm
@@ -108,7 +110,7 @@
 .Xr cryptoadm 1M
 utility.
 .Lp
-Plug-ins must have all of their library dependancies specified, including
+Plug-ins must have all of their library dependencies specified, including
 .Xr libc 3LIB .
 Libraries that have unresolved symbols, including those from
 .Xr libc 3LIB ,
@@ -206,9 +208,6 @@
 The PKCS#11 Standard functions are MT-Safe with exceptions.
 See Section 2.5.3 of PKCS#11 Cryptographic Token Usage Guide v2.40 and
 Section 5.1.5 of PKCS#11 Cryptographic Token Interface Base Standard v2.40
-.Sh STANDARD
-The PKCS#11 Standard functions conform to PKCS#11 Cryptographic Token
-Interface Profiles v2.40 Extended Provider.
 .Sh SEE ALSO
 .Xr cryptoadm 1M ,
 .Xr pkgadd 1M ,
@@ -230,6 +229,9 @@
 .%T "PKCS#11 Cryptographic Token Interface Usage Guide v2.40"
 .%U http://docs.oasis-open.org/pkcs11/pkcs11-ug/v2.40/pkcs11-ug-v2.40.html
 .Re
+.Sh STANDARDS
+The PKCS#11 Standard functions conform to PKCS#11 Cryptographic Token
+Interface Profiles v2.40 Extended Provider.
 .Sh NOTES
 If an application calls
 .Fn C_WaitForSlotEvent
@@ -245,11 +247,8 @@
 returns
 .Dv CKR_FUNCTION_FAILED .
 .Lp
-The PKCS#11 library does not work with Netscape 4.\fIx\fR but does work with
-more recent versions of Netscape and Mozilla.
-.Lp
 Because
-.Fn C_Initalize
+.Fn C_Initialize
 might have been called by both an application and a
 library, it is not safe for a library or its plugins to call
 .Fn C_Finalize .
--- old/usr/src/man/man3proc/Pisprocdir.3proc	Tue Aug 27 13:52:39 2019
+++ new/usr/src/man/man3proc/Pisprocdir.3proc	Tue Aug 27 13:52:39 2019
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2015 Joyent, Inc.
 .\"
-.Dd May 11, 2016
+.Dd Aug 27, 2019
 .Dt PISPROCIDR 3PROC
 .Os
 .Sh NAME
@@ -26,7 +26,7 @@
 .Fa "struct ps_prochandle *P"
 .Fa "const char *dir"
 .Fc
-.Sh DESECRIPTION
+.Sh DESCRIPTION
 The
 .Fn Pisprocdir
 function determines whether or not the directory
